QGIS Application - Feature request #1591
Coordinate capture plugin: lat/long reversed?
2009-03-24 06:02 PM - belg4mit -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 11651
Description

Latitude and longitude seem to be listed in reverse in the CRS field of the plugin.
MA is at 42,-71 not -71,42 as the plugin displays

History

#1 - 2009-03-24 06:34 PM - Borys Jurgiel

Is the same order in the status bar?

#2 - 2009-07-03 06:18 AM - Giovanni Manghi

Replying to [comment:2 borysiasty]:

Is the same order in the status bar?

The status bar gives the values in the same order of the Coordinate capture plugin, in this case -71,42

#3 - 2009-07-03 07:35 AM - Borys Jurgiel

Right! Both status line and plugin interface always display coordinates as x,y:
src/app/qgisapp.cpp line 4607
src/plugins/coordinate_capture/coordinatecapture.cpp lines 212-217

This is another reason to make a clear separation between unprojected and projected CRSes - with forcing the proper unit and coordinates order.

I move this ticked to the Projection Support, as the required gui changes are minor and the changes in the unit approach are much more important imho.

#4 - 2009-08-13 08:35 AM - Magnus Homann

| don't see the issue. Is there a defined order between Easthing and Northing that QGIS does not obey?

#5 - 2009-08-15 01:04 AM - Giovanni Manghi

Replying to [comment:6 homann]:

I don't see the issue. Is there a defined order between Easthing and Northing that QGIS does not obey?
if is "lat/lon" shouldn't be "y/x"?
| see in other software that coordinates in the status bar are still shown as x/y but with an "x="and "y=" in front of the values, evidently to help reading and

maintain the x/y notation.

#6 - 2009-08-15 01:11 AM - Magnus Homann

- Status changed from Open to In Progress

If it's lat/lon, it should be lat/lon or perhaps east/north. Or is it north/east? :-)

As living with a projection (RT90) where the northing is denoted by 'X' and easting by 'Y' | vote against using X/Y. Its confusing.

Better change to north/east in my opinion, but we're in string freeze so..

| set this is an enhancement, | don't think it's a bug really.

#7 - 2010-06-11 10:46 AM - Paolo Cavallini

We missed another freeze... ;)

#8 - 2011-12-16 01:58 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#9 - 2012-03-16 07:52 AM - belg4mit -
- Pull Request or Patch supplied set to No

| see there's been no movement on this :-(

It's a simple matter of usability it seems.

The user does not really care what the axes

are on the screen, but convention for specifying
coordinates on the Earth is lat, long. Honoring
this would be preferred, as it would make it
easier to copy the location out for use elsewhere
e.g; paste it into a Google Maps URI

At a minimum there should be some labels on the

numbers (or place each in its own input field with

a corresponding label) to clarify the situation.

#10 - 2012-03-16 01:07 PM - Thaddeus -

Adding the x,y info. seems a good idea: the pointer tips, when hovering on the edit boxes, would be a handy place. Note: WKT uses e,n/lon,lat and so does

SHP.

#11 - 2012-04-15 10:11 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#12 - 2012-08-18 02:05 PM - Magnus Homann

The display order was already fixed, but | updated the tooltips.

https://github.com/qgis/Quantum-GIS/pull/207

#13 - 2012-08-18 10:27 PM - Magnus Homann
- Status changed from In Progress to Closed

Fixed in 4e4f6fe01670239494382b90aabd74e213dd91d1.
